package bsf_ruby;

import org.apache.bsf.BSFException;
import org.apache.bsf.BSFManager;
import java.net.URL;

public class BSFRuby {
	public static void main(String[] args) throws Exception {
        // JRuby must be registered in BSF; jruby.jar and bsf.jar must be on classpath.
        BSFManager.registerScriptingEngine("ruby",  "org.jruby.javasupport.bsf.JRubyEngine",  new String[]{"rb"});
        BSFManager manager = new BSFManager();
        // Make the variable myUrl available from Ruby
        manager.declareBean("myUrl", new URL("http://www/jruby.org"), URL.class);
        // Note that the Method getDefaultPort is available from Ruby as getDefaultPort but also as defaultPort.
        // The following line illustrates the combination of Ruby syntax  and a Java method call.
        String result = (String) manager.eval(
		    "ruby", "(java)", 1, 1, "if $myUrl.defaultPort< 1024 then " +
    		"'System port' else 'User port' end");

        System.out.println(result);
	}
}

 

